function E0090()
    MNA()CMU("XXXX")FAI(0)
end
function E0091()
    MNA()CMU("XXXX")FAI(1)
end
function E0092()
    MNA()CMU("XXXX")FAI(2)
end
function E0093()
    MNA()CMU("XXXX")FAI(3)
end
function E0094()
    MNA()CMU("XXXX")FAI(4)
end

function GoSoapCastleGolemHall()
    PRI()FAO(3)TRA("CS_soapcastle_golemhall","E0091",75,18,0,2)
end

function GoSoapCastleStair()
    PRI()FAO(1)TRA("CS_soapcastle_stair","E0093",2,20,0,76)
end

function Statue()
    PRI()
    FAC("jack_normal")MS4("These statues") 
    CAT("\nlook a bit unsettling...")NOD()
end

function GolemWake()
    KEY()
    FON("GolemWake")
    MM0()WAS()
    WAI(32)
    FAC("tap_normal")MS3("Those two guys are so unreliable,")NOD()
    CAT("\nI end up having to") 
    CAT("\nclean up after them...")NOD()CLO()
    WAI(32)
    ANP("Statue","wake")
    WAI(32)
    PRI()
    FAC("jack_normal")MS3("\nDamn! It's a trap!")NOD()CLR()
    FAC("tap_normal")CAT("\nBrothers! Catch them quickly!")NOD()CLR()
    FAC("jack_><")CAT("What rotten luck!")NOD()
    CAT("\nLooks like Santa and I couldn't")
    CAT("\nescape our fate after all...")NOD()CLO()
    FAO(0)
    FOM()
    DNP("GolemWake")
    --各种声音
    SOU("CS_052_enemy_hurt_big")
    WAI(16)
    SOU("CS_105_puppy_bark")
    WAI(16)
    SOU("CS_052_enemy_hurt_big")
    WAI(16)
    SOU("CS_052_enemy_hurt_big")
    WAI(8)
    SOU("CS_052_enemy_hurt_big")
    WAI(8)
    SOU("CS_052_enemy_hurt_big")
    WAI(16)
    SOU("CS_050_mimiga_squeak")
    WAI(16)
    SOU("CS_050_mimiga_squeak")
    WAI(16)
    SOU("CS_052_enemy_hurt_big")
    WAI(8)
    SOU("CS_052_enemy_hurt_big")
    WAI(8)
    SOU("CS_050_mimiga_squeak")
    WAI(16)
    SOU("CS_071_little_crash")
    WAI(60)
    SOU("CS_071_little_crash")
    WAI(60)
    SOU("CS_puppy_hurt")
    FLS("GolemTrap")
    TRA("CS_soapcastle_jail","CatchedJackSanta",3,12)
end

function PuppyAppear()
    KEY()
    FON("PuppyAppear",16)
    MM0()
    SLR(1)
    WAS()
    WAI(32)
    --小狗出现了
    SNP("CS_puppy_animate",76,17,0,"mainLayer","Puppy1")
    WAI(60)
    FAC("curly_happy")MS3("\nIt's Jenka's puppy!")NOD()CLO()
    ANP("Puppy1","bark",0)
    WAI(32)
    ANP("Puppy1","walk",0)
    WAI(64)
    ANP("Puppy1","sleep",0)
    WAI(128)
    FAC("curly_normal")MS3("\n!!!")NOD()CLR()
    FAC("curly_sad")CAT("It looks slightly injured")
    CAT("\nand completely exhausted...")NOD()CLR()
    FAC("curly_normal")CAT("Even though we want to rescue") 
    CAT("\neveryone right away,")NOD()
    CAT("\nwe can't just leave it here...")NOD()CLR()
    CAT("Let's find a safe place") 
    CAT("\nto hide it first and then discuss")
    CAT("\nwith Sue and the others.")NOD()CLO()
    FAO(1)
    FOM()
    FLS("PuppyAppear")
    DNP("PuppyAppear")
    TRA("CS_soapcastle_kingbedroom","HidePuppy",9,15)
end